NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAM::OperationTransformBuilder Class Reference

OperationTransformBuilder
To create a new instance of this class, use NXOpen::CAM::CAMSetup::CreateOperationTransformBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::CAM::OperationTransformBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Angle { AngleSpecify, AngleTwoPoint }
 Angle Type. More...
 
enum  Line { LineSpecify, LineTwoPoint, LinePointAndVector }
 Line Type. More...
 
enum  Motion { MotionDelta, MotionToAPoint }
 Motion Type. More...
 
enum  Result { ResultMove, ResultCopy, ResultInstance }
 Transform Option. More...
 
enum  Transform {
  TransformTranslate, TransformScale, TransformRotateAboutPoint, TransformRotateAboutLine,
  TransformMirrorThroughALine, TransformMirrorThroughAPlane, TransformCircularArray, TransformRectangularArray,
  TransformReposition
}
 Transform Type. More...
 

Public Member Functions

NXOpen::PointAngleEndPoint ()
 Returns the angle end point
Created in NX6.0.0. More...
 
NXOpen::CAM::OperationTransformBuilder::Angle AngleMethod ()
 Returns the angle method
Created in NX6.0.0. More...
 
NXOpen::PointAnglePivotPoint ()
 Returns the angle pivot point
Created in NX6.0.0. More...
 
NXOpen::PointAngleStartPoint ()
 Returns the angle start point
Created in NX6.0.0. More...
 
double AngleValue ()
 Returns the angle value
Created in NX6.0.0. More...
 
double ArrayAngle ()
 Returns the array angle
Created in NX6.0.0. More...
 
double ArrayCircularIncrementAngle ()
 Returns the array circular increment angle
Created in NX6.0.0. More...
 
int ArrayCircularNumber ()
 Returns the array circular number
Created in NX6.0.0. More...
 
double ArrayCircularRadius ()
 Returns the array circular radius
Created in NX6.0.0. More...
 
double ArrayCircularStartAngle ()
 Returns the array circular start angle
Created in NX6.0.0. More...
 
int ArrayNumberAlongXc ()
 Returns the array number along XC
Created in NX6.0.0. More...
 
int ArrayNumberAlongYc ()
 Returns the array number along YC
Created in NX6.0.0. More...
 
double ArrayOffsetXc ()
 Returns the array offset XC
Created in NX6.0.0. More...
 
double ArrayOffsetYc ()
 Returns the array offset YC
Created in NX6.0.0. More...
 
NXOpen::PointArrayOriginPoint ()
 Returns the array origin point
Created in NX6.0.0. More...
 
double DeltaXc ()
 Returns the delta XC
Created in NX6.0.0. More...
 
double DeltaYc ()
 Returns the delta YC
Created in NX6.0.0. More...
 
double DeltaZc ()
 Returns the delta ZC
Created in NX6.0.0. More...
 
int DistanceAngleDivision ()
 Returns the distance angle division
Created in NX6.0.0. More...
 
NXOpen::PointLineEndPoint ()
 Returns the line end point
Created in NX6.0.0. More...
 
NXOpen::CAM::OperationTransformBuilder::Line LineMethod ()
 Returns the line method
Created in NX6.0.0. More...
 
NXOpen::PointLinePoint ()
 Returns the line point
Created in NX6.0.0. More...
 
NXOpen::SelectLineLineSelection ()
 Returns the line selection
Created in NX6.0.0. More...
 
NXOpen::PointLineStartPoint ()
 Returns the line start point
Created in NX6.0.0. More...
 
NXOpen::DirectionLineVector ()
 Returns the line vector
Created in NX6.0.0. More...
 
NXOpen::CAM::OperationTransformBuilder::Motion MotionType ()
 Returns the motion type
Created in NX6.0.0. More...
 
NXOpen::CAM::OperationTransformBuilder::Result MoveCopyInstance ()
 Returns the move copy instance option
Created in NX6.0.0. More...
 
int NumOfCopyInstance ()
 Returns the num of copy or instance
Created in NX6.0.0. More...
 
NXOpen::PlanePlane ()
 Returns the mirror plane
Created in NX6.0.0. More...
 
NXOpen::PointReferencePoint ()
 Returns the reference point
Created in NX6.0.0. More...
 
void RemoveTransformation ()
 Remove the tranformation
Created in NX6.0.0. More...
 
NXOpen::CoordinateSystemRepositionFromCsys ()
 Returns the reposition from CSYS
Created in NX6.0.0. More...
 
NXOpen::CoordinateSystemRepositionToCsys ()
 Returns the reposition to CSYS
Created in NX6.0.0. More...
 
double ScaleFactor ()
 Returns the scale factor
Created in NX6.0.0. More...
 
void SetAngleEndPoint (NXOpen::Point *angleEndPoint)
 Sets the angle end point
Created in NX6.0.0. More...
 
void SetAngleMethod (NXOpen::CAM::OperationTransformBuilder::Angle angleMethod)
 Sets the angle method
Created in NX6.0.0. More...
 
void SetAnglePivotPoint (NXOpen::Point *anglePivotPoint)
 Sets the angle pivot point
Created in NX6.0.0. More...
 
void SetAngleStartPoint (NXOpen::Point *angleStartPoint)
 Sets the angle start point
Created in NX6.0.0. More...
 
void SetAngleValue (double angleValue)
 Sets the angle value
Created in NX6.0.0. More...
 
void SetArrayAngle (double arrayAngle)
 Sets the array angle
Created in NX6.0.0. More...
 
void SetArrayCircularIncrementAngle (double arrayCircularIncrementAngle)
 Sets the array circular increment angle
Created in NX6.0.0. More...
 
void SetArrayCircularNumber (int arrayCircularNumber)
 Sets the array circular number
Created in NX6.0.0. More...
 
void SetArrayCircularRadius (double arrayCircularRadius)
 Sets the array circular radius
Created in NX6.0.0. More...
 
void SetArrayCircularStartAngle (double arrayCircularStartAngle)
 Sets the array circular start angle
Created in NX6.0.0. More...
 
void SetArrayNumberAlongXc (int arrayNumberAlongXC)
 Sets the array number along XC
Created in NX6.0.0. More...
 
void SetArrayNumberAlongYc (int arrayNumberAlongYC)
 Sets the array number along YC
Created in NX6.0.0. More...
 
void SetArrayOffsetXc (double arrayOffsetXC)
 Sets the array offset XC
Created in NX6.0.0. More...
 
void SetArrayOffsetYc (double arrayOffsetYc)
 Sets the array offset YC
Created in NX6.0.0. More...
 
void SetArrayOriginPoint (NXOpen::Point *arrayOriginPoint)
 Sets the array origin point
Created in NX6.0.0. More...
 
void SetDeltaXc (double deltaXC)
 Sets the delta XC
Created in NX6.0.0. More...
 
void SetDeltaYc (double deltaYC)
 Sets the delta YC
Created in NX6.0.0. More...
 
void SetDeltaZc (double deltaZC)
 Sets the delta ZC
Created in NX6.0.0. More...
 
void SetDistanceAngleDivision (int distanceAngleDivision)
 Sets the distance angle division
Created in NX6.0.0. More...
 
void SetLineEndPoint (NXOpen::Point *lineEndPoint)
 Sets the line end point
Created in NX6.0.0. More...
 
void SetLineMethod (NXOpen::CAM::OperationTransformBuilder::Line lineMethod)
 Sets the line method
Created in NX6.0.0. More...
 
void SetLinePoint (NXOpen::Point *linePoint)
 Sets the line point
Created in NX6.0.0. More...
 
void SetLineStartPoint (NXOpen::Point *lineStartPoint)
 Sets the line start point
Created in NX6.0.0. More...
 
void SetLineVector (NXOpen::Direction *lineVector)
 Sets the line vector
Created in NX6.0.0. More...
 
void SetMotionType (NXOpen::CAM::OperationTransformBuilder::Motion motionType)
 Sets the motion type
Created in NX6.0.0. More...
 
void SetMoveCopyInstance (NXOpen::CAM::OperationTransformBuilder::Result moveCopyInstance)
 Sets the move copy instance option
Created in NX6.0.0. More...
 
void SetNumOfCopyInstance (int numOfCopyInstance)
 Sets the num of copy or instance
Created in NX6.0.0. More...
 
void SetPlane (NXOpen::Plane *plane)
 Sets the mirror plane
Created in NX6.0.0. More...
 
void SetReferencePoint (NXOpen::Point *referencePoint)
 Sets the reference point
Created in NX6.0.0. More...
 
void SetRepositionFromCsys (NXOpen::CoordinateSystem *repositionFromCSYS)
 Sets the reposition from CSYS
Created in NX6.0.0. More...
 
void SetRepositionToCsys (NXOpen::CoordinateSystem *repositionToCSYS)
 Sets the reposition to CSYS
Created in NX6.0.0. More...
 
void SetScaleFactor (double scaleFactor)
 Sets the scale factor
Created in NX6.0.0. More...
 
void SetToPoint (NXOpen::Point *toPoint)
 Sets the to point
Created in NX6.0.0. More...
 
void SetTransformType (NXOpen::CAM::OperationTransformBuilder::Transform transformType)
 Sets the transform type
Created in NX6.0.0. More...
 
NXOpen::PointToPoint ()
 Returns the to point
Created in NX6.0.0. More...
 
NXOpen::CAM::OperationTransformBuilder::Transform TransformType ()
 Returns the transform type
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

OperationTransformBuilder
To create a new instance of this class, use NXOpen::CAM::CAMSetup::CreateOperationTransformBuilder

Created in NX6.0.0.


Member Enumeration Documentation

Angle Type.

Enumerator
AngleSpecify 

specify a angle

AngleTwoPoint 

use two point to sepcify a angle

Line Type.

Enumerator
LineSpecify 

specify a line

LineTwoPoint 

specify a line by two point

LinePointAndVector 

specify a line by a point and a vector

Motion Type.

Enumerator
MotionDelta 

motion delta

MotionToAPoint 

motion to a point

Transform Option.

Enumerator
ResultMove 

move

ResultCopy 

copy

ResultInstance 

instance

Transform Type.

Enumerator
TransformTranslate 

translate

TransformScale 

scale

TransformRotateAboutPoint 

rotate about point

TransformRotateAboutLine 

rotate about line

TransformMirrorThroughALine 

mirror through a line

TransformMirrorThroughAPlane 

mirror through a plane

TransformCircularArray 

circular array

TransformRectangularArray 

rectangular array

TransformReposition 

reposition

Member Function Documentation

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::AngleEndPoint ( )

Returns the angle end point
Created in NX6.0.0.



License requirements : None

NXOpen::CAM::OperationTransformBuilder::Angle NXOpen::CAM::OperationTransformBuilder::AngleMethod ( )

Returns the angle method
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::AnglePivotPoint ( )

Returns the angle pivot point
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::AngleStartPoint ( )

Returns the angle start point
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::AngleValue ( )

Returns the angle value
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayAngle ( )

Returns the array angle
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayCircularIncrementAngle ( )

Returns the array circular increment angle
Created in NX6.0.0.



License requirements : None

int NXOpen::CAM::OperationTransformBuilder::ArrayCircularNumber ( )

Returns the array circular number
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayCircularRadius ( )

Returns the array circular radius
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayCircularStartAngle ( )

Returns the array circular start angle
Created in NX6.0.0.



License requirements : None

int NXOpen::CAM::OperationTransformBuilder::ArrayNumberAlongXc ( )

Returns the array number along XC
Created in NX6.0.0.



License requirements : None

int NXOpen::CAM::OperationTransformBuilder::ArrayNumberAlongYc ( )

Returns the array number along YC
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayOffsetXc ( )

Returns the array offset XC
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ArrayOffsetYc ( )

Returns the array offset YC
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::ArrayOriginPoint ( )

Returns the array origin point
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::DeltaXc ( )

Returns the delta XC
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::DeltaYc ( )

Returns the delta YC
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::DeltaZc ( )

Returns the delta ZC
Created in NX6.0.0.



License requirements : None

int NXOpen::CAM::OperationTransformBuilder::DistanceAngleDivision ( )

Returns the distance angle division
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::LineEndPoint ( )

Returns the line end point
Created in NX6.0.0.



License requirements : None

NXOpen::CAM::OperationTransformBuilder::Line NXOpen::CAM::OperationTransformBuilder::LineMethod ( )

Returns the line method
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::LinePoint ( )

Returns the line point
Created in NX6.0.0.



License requirements : None

NXOpen::SelectLine* NXOpen::CAM::OperationTransformBuilder::LineSelection ( )

Returns the line selection
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::LineStartPoint ( )

Returns the line start point
Created in NX6.0.0.



License requirements : None

NXOpen::Direction* NXOpen::CAM::OperationTransformBuilder::LineVector ( )

Returns the line vector
Created in NX6.0.0.



License requirements : None

NXOpen::CAM::OperationTransformBuilder::Motion NXOpen::CAM::OperationTransformBuilder::MotionType ( )

Returns the motion type
Created in NX6.0.0.



License requirements : None

NXOpen::CAM::OperationTransformBuilder::Result NXOpen::CAM::OperationTransformBuilder::MoveCopyInstance ( )

Returns the move copy instance option
Created in NX6.0.0.



License requirements : None

int NXOpen::CAM::OperationTransformBuilder::NumOfCopyInstance ( )

Returns the num of copy or instance
Created in NX6.0.0.



License requirements : None

NXOpen::Plane* NXOpen::CAM::OperationTransformBuilder::Plane ( )

Returns the mirror plane
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::ReferencePoint ( )

Returns the reference point
Created in NX6.0.0.



License requirements : None

void NXOpen::CAM::OperationTransformBuilder::RemoveTransformation ( )

Remove the tranformation
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

NXOpen::CoordinateSystem* NXOpen::CAM::OperationTransformBuilder::RepositionFromCsys ( )

Returns the reposition from CSYS
Created in NX6.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::CAM::OperationTransformBuilder::RepositionToCsys ( )

Returns the reposition to CSYS
Created in NX6.0.0.



License requirements : None

double NXOpen::CAM::OperationTransformBuilder::ScaleFactor ( )

Returns the scale factor
Created in NX6.0.0.



License requirements : None

void NXOpen::CAM::OperationTransformBuilder::SetAngleEndPoint ( NXOpen::Point angleEndPoint)

Sets the angle end point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
angleEndPointangleendpoint
void NXOpen::CAM::OperationTransformBuilder::SetAngleMethod ( NXOpen::CAM::OperationTransformBuilder::Angle  angleMethod)

Sets the angle method
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
angleMethodanglemethod
void NXOpen::CAM::OperationTransformBuilder::SetAnglePivotPoint ( NXOpen::Point anglePivotPoint)

Sets the angle pivot point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
anglePivotPointanglepivotpoint
void NXOpen::CAM::OperationTransformBuilder::SetAngleStartPoint ( NXOpen::Point angleStartPoint)

Sets the angle start point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
angleStartPointanglestartpoint
void NXOpen::CAM::OperationTransformBuilder::SetAngleValue ( double  angleValue)

Sets the angle value
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
angleValueanglevalue
void NXOpen::CAM::OperationTransformBuilder::SetArrayAngle ( double  arrayAngle)

Sets the array angle
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayAnglearrayangle
void NXOpen::CAM::OperationTransformBuilder::SetArrayCircularIncrementAngle ( double  arrayCircularIncrementAngle)

Sets the array circular increment angle
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayCircularIncrementAnglearraycircularincrementangle
void NXOpen::CAM::OperationTransformBuilder::SetArrayCircularNumber ( int  arrayCircularNumber)

Sets the array circular number
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayCircularNumberarraycircularnumber
void NXOpen::CAM::OperationTransformBuilder::SetArrayCircularRadius ( double  arrayCircularRadius)

Sets the array circular radius
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayCircularRadiusarraycircularradius
void NXOpen::CAM::OperationTransformBuilder::SetArrayCircularStartAngle ( double  arrayCircularStartAngle)

Sets the array circular start angle
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayCircularStartAnglearraycircularstartangle
void NXOpen::CAM::OperationTransformBuilder::SetArrayNumberAlongXc ( int  arrayNumberAlongXC)

Sets the array number along XC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayNumberAlongXCarraynumberalongxc
void NXOpen::CAM::OperationTransformBuilder::SetArrayNumberAlongYc ( int  arrayNumberAlongYC)

Sets the array number along YC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayNumberAlongYCarraynumberalongyc
void NXOpen::CAM::OperationTransformBuilder::SetArrayOffsetXc ( double  arrayOffsetXC)

Sets the array offset XC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayOffsetXCarrayoffsetxc
void NXOpen::CAM::OperationTransformBuilder::SetArrayOffsetYc ( double  arrayOffsetYc)

Sets the array offset YC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayOffsetYcarrayoffsetyc
void NXOpen::CAM::OperationTransformBuilder::SetArrayOriginPoint ( NXOpen::Point arrayOriginPoint)

Sets the array origin point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
arrayOriginPointarrayoriginpoint
void NXOpen::CAM::OperationTransformBuilder::SetDeltaXc ( double  deltaXC)

Sets the delta XC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
deltaXCdeltaxc
void NXOpen::CAM::OperationTransformBuilder::SetDeltaYc ( double  deltaYC)

Sets the delta YC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
deltaYCdeltayc
void NXOpen::CAM::OperationTransformBuilder::SetDeltaZc ( double  deltaZC)

Sets the delta ZC
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
deltaZCdeltazc
void NXOpen::CAM::OperationTransformBuilder::SetDistanceAngleDivision ( int  distanceAngleDivision)

Sets the distance angle division
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
distanceAngleDivisiondistanceangledivision
void NXOpen::CAM::OperationTransformBuilder::SetLineEndPoint ( NXOpen::Point lineEndPoint)

Sets the line end point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
lineEndPointlineendpoint
void NXOpen::CAM::OperationTransformBuilder::SetLineMethod ( NXOpen::CAM::OperationTransformBuilder::Line  lineMethod)

Sets the line method
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
lineMethodlinemethod
void NXOpen::CAM::OperationTransformBuilder::SetLinePoint ( NXOpen::Point linePoint)

Sets the line point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
linePointlinepoint
void NXOpen::CAM::OperationTransformBuilder::SetLineStartPoint ( NXOpen::Point lineStartPoint)

Sets the line start point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
lineStartPointlinestartpoint
void NXOpen::CAM::OperationTransformBuilder::SetLineVector ( NXOpen::Direction lineVector)

Sets the line vector
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
lineVectorlinevector
void NXOpen::CAM::OperationTransformBuilder::SetMotionType ( NXOpen::CAM::OperationTransformBuilder::Motion  motionType)

Sets the motion type
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
motionTypemotiontype
void NXOpen::CAM::OperationTransformBuilder::SetMoveCopyInstance ( NXOpen::CAM::OperationTransformBuilder::Result  moveCopyInstance)

Sets the move copy instance option
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
moveCopyInstancemovecopyinstance
void NXOpen::CAM::OperationTransformBuilder::SetNumOfCopyInstance ( int  numOfCopyInstance)

Sets the num of copy or instance
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
numOfCopyInstancenumofcopyinstance
void NXOpen::CAM::OperationTransformBuilder::SetPlane ( NXOpen::Plane plane)

Sets the mirror plane
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
planeplane
void NXOpen::CAM::OperationTransformBuilder::SetReferencePoint ( NXOpen::Point referencePoint)

Sets the reference point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
referencePointreferencepoint
void NXOpen::CAM::OperationTransformBuilder::SetRepositionFromCsys ( NXOpen::CoordinateSystem repositionFromCSYS)

Sets the reposition from CSYS
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
repositionFromCSYSrepositionfromcsys
void NXOpen::CAM::OperationTransformBuilder::SetRepositionToCsys ( NXOpen::CoordinateSystem repositionToCSYS)

Sets the reposition to CSYS
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
repositionToCSYSrepositiontocsys
void NXOpen::CAM::OperationTransformBuilder::SetScaleFactor ( double  scaleFactor)

Sets the scale factor
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
scaleFactorscalefactor
void NXOpen::CAM::OperationTransformBuilder::SetToPoint ( NXOpen::Point toPoint)

Sets the to point
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
toPointtopoint
void NXOpen::CAM::OperationTransformBuilder::SetTransformType ( NXOpen::CAM::OperationTransformBuilder::Transform  transformType)

Sets the transform type
Created in NX6.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
transformTypetransformtype
NXOpen::Point* NXOpen::CAM::OperationTransformBuilder::ToPoint ( )

Returns the to point
Created in NX6.0.0.



License requirements : None

NXOpen::CAM::OperationTransformBuilder::Transform NXOpen::CAM::OperationTransformBuilder::TransformType ( )

Returns the transform type
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.